Page 13 of 17

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Tue Jul 04, 2017 12:10 pm
by rpiMike
Which version of Minecraft are you trying to run ?

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Tue Jul 04, 2017 6:07 pm
by rayray519
Is there a way to run Minecraft on RetroPie?

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Wed Jul 05, 2017 7:07 pm
by Sumie
Not that I'm aware. Minecraft uses java in conjunction with some sort of graphical interface (in this case, I think it's Xwindows), and since RetroPie applications do not use a GUI, it cannot function.

Someone correct me if I'm wrong...

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Thu Jul 13, 2017 2:51 pm
by Flop666
Hello and thanks for your great tutorial !

I have a problem. When I type in "java -jar Minecraft.jar" the Minecraft Launcher opens but show this:


"Bootstrap (v5)
Current time is Jul 13, 2017 4:49:29 PM
System.getProperty('os.name') == 'Linux'
System.getProperty('os.version') == '4.4.38-v7+'
System.getProperty('os.arch') == 'arm'
System.getProperty('java.version') == '1.8.0_131'
System.getProperty('java.vendor') == 'Oracle Corporation'
System.getProperty('sun.arch.data.model') == '32'

Downloading: https://s3.amazonaws.com/Minecraft.Down ... .pack.lzma
Exception: javax.net.ssl.SSLException: java.lang.IllegalStateException
Downloading: https://s3.amazonaws.com/Minecraft.Down ... .pack.lzma (try 2/10)
Exception: javax.net.ssl.SSLException: java.lang.IllegalStateException
Downloading: https://s3.amazonaws.com/Minecraft.Down ... .pack.lzma (try 3/10)
Exception: javax.net.ssl.SSLException: java.lang.IllegalStateException
Downloading: https://s3.amazonaws.com/Minecraft.Down ... .pack.lzma (try 4/10)
Exception: javax.net.ssl.SSLException: java.lang.IllegalStateException
Downloading: https://s3.amazonaws.com/Minecraft.Down ... .pack.lzma (try 5/10)
Exception: javax.net.ssl.SSLException: java.lang.IllegalStateException
Downloading: https://s3.amazonaws.com/Minecraft.Down ... .pack.lzma (try 6/10)
Exception: javax.net.ssl.SSLException: java.lang.IllegalStateException
Downloading: https://s3.amazonaws.com/Minecraft.Down ... .pack.lzma (try 7/10)
Exception: javax.net.ssl.SSLException: java.lang.IllegalStateException
Downloading: https://s3.amazonaws.com/Minecraft.Down ... .pack.lzma (try 8/10)
Exception: javax.net.ssl.SSLException: java.lang.IllegalStateException
Downloading: https://s3.amazonaws.com/Minecraft.Down ... .pack.lzma (try 9/10)
Exception: javax.net.ssl.SSLException: java.lang.IllegalStateException
Downloading: https://s3.amazonaws.com/Minecraft.Down ... .pack.lzma (try 10/10)
Exception: javax.net.ssl.SSLException: java.lang.IllegalStateException
Unable to download remote file. Check your internet connection/proxy settings.
FATAL ERROR: net.minecraft.bootstrap.FatalBootstrapError: Unable to download while being forced
at net.minecraft.bootstrap.Bootstrap.execute(Bootstrap.java:95)
at net.minecraft.bootstrap.Bootstrap.main(Bootstrap.java:381)


Please fix the error and restart."


Please help...

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Thu Jul 13, 2017 3:35 pm
by rpiMike
Is your Pi connected to the internet ? I assume your os is raspbian - is it up to date ?

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Thu Jul 13, 2017 3:44 pm
by Flop666
rpiMike wrote:Is your Pi connected to the internet ? I assume your os is raspbian - is it up to date ?
Thank's for your reply.

Yes I'm connected to the Internet but I'm running Ubuntu Mate. Is that the problem?

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Thu Jul 13, 2017 4:24 pm
by rpiMike
Sorry, I don't know if this works on Ubuntu Mate, I guess it should assuming OpenGL works.

btw have you seen the 1.12 thread linked on the 1st page.

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Thu Jul 13, 2017 4:36 pm
by Flop666
rpiMike wrote:Sorry, I don't know if this works on Ubuntu Mate, I guess it should assuming OpenGL works.

btw have you seen the 1.12 thread linked on the 1st page.
Oh I didn't realised that there is a new post... I will follow it now and tell you what happened. Thank's!

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Thu Jul 13, 2017 5:03 pm
by Flop666
It doesn't work...
Maybe because the OS is Ubuntu Mate...But that is no problem for me. Thank's for your answers :)

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Thu Jul 13, 2017 8:22 pm
by rpiMike
I got it working.

It seems Ubuntu Mate needs Oracle Java 8 installed :

http://tipsonubuntu.com/2016/07/31/inst ... x-mint-18/

Updated the java path in the runOptifine1_12.sh to /usr/lib/jvm/java-8-oracle/jre/bin/java and updated the 'CP=' path list.

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Thu Jul 13, 2017 8:26 pm
by Flop666
rpiMike wrote:I got it working.

It seems Ubuntu Mate needs Oracle Java 8 installed :

http://tipsonubuntu.com/2016/07/31/inst ... x-mint-18/

Updated the java path in the runOptifine1_12.sh to /usr/lib/jvm/java-8-oracle/jre/bin/java and updated the 'CP=' path list.
Okay, very big THANK'S for your help...I will try it later and then post you what happened.

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Fri Jul 14, 2017 11:19 am
by Flop666
Hi,

I installed oracle java succesfully. I changed the java path but what do I have to change in CP path?

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Fri Jul 14, 2017 11:23 am
by rpiMike
From the 1.12 thread :

If you want to attempt getting a new version of Minecraft working :

1 Install required version using java -jar Minecraft.jar - and allow to crash
2 Scroll up in terminal window and find last ../jre/bin/java command, scroll across and find ‘-cp ’, copy this path list until ‘ net.minecraft.launchwrapper.Launch’
3 Paste this text into the cp= in the run.sh script

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Fri Jul 14, 2017 11:43 am
by Flop666
rpiMike wrote:From the 1.12 thread :

If you want to attempt getting a new version of Minecraft working :

1 Install required version using java -jar Minecraft.jar - and allow to crash
2 Scroll up in terminal window and find last ../jre/bin/java command, scroll across and find ‘-cp ’, copy this path list until ‘ net.minecraft.launchwrapper.Launch’
3 Paste this text into the cp= in the run.sh script
Oh I'm stupid...I followed directly the new post with minecraft 1.12 and not the 1.8.9.
I will follow now the the first post...(sorry if I'm wrong)

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Fri Jul 14, 2017 11:47 am
by rpiMike
1.12 thread would be best.

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Fri Jul 14, 2017 11:51 am
by Flop666
I want now restart everything how can I delete full Minecraft so that all files of minecraft are deleted?

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Fri Jul 14, 2017 12:09 pm
by rpiMike
Just deleting the ~/Minecraft folder and contents should be enough :

Code: Select all

rm ~/Minecraft -r

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Fri Jul 14, 2017 12:15 pm
by Flop666
Okay thanks...You said:
rpiMike wrote:From the 1.12 thread :

If you want to attempt getting a new version of Minecraft working :

1 Install required version using java -jar Minecraft.jar - and allow to crash
2 Scroll up in terminal window and find last ../jre/bin/java command, scroll across and find ‘-cp ’, copy this path list until ‘ net.minecraft.launchwrapper.Launch’
3 Paste this text into the cp= in the run.sh script
But I have no run.sh script.

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Fri Jul 14, 2017 12:26 pm
by rpiMike
If your using the 1.12 thread it will be runOptifine1_12.sh

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Fri Jul 14, 2017 12:33 pm
by Flop666
Ok wait...I'm now confused.

I will follow now the 1.12 thread and post you where I get stuck. Sorry if I'm annoying you... :oops:

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Fri Jul 14, 2017 8:07 pm
by Flop666
So, I'm back! :D

In the 7. step I'm stuck...after login and downloading the launcher closed and in the Terminal comes an error:

[21:56:27 ERROR]: Game ended with bad state (exit code 1)
[21:56:27 INFO]: Ignoring visibility rule and showing launcher due to a game crash
[21:56:27 INFO]: Deleting /home/philipp/.minecraft/versions/1.12/1.12-natives-1550195049028
[21:56:27 ERROR]: Game ended with bad state (exit code 1)
[21:56:27 INFO]: Ignoring visibility rule and showing launcher due to a game crash
[21:56:27 INFO]: Looking for orphaned versions to clean up...
[21:56:27 INFO]: Looking for old natives & assets to clean up...


And nothing is changing. In the thread(1.12) it says:

You will then receive an error
Close launcher

But the launcher closed automatically after the download. What should I do?

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Fri Jul 14, 2017 8:13 pm
by Flop666
Flop666 wrote:So, I'm back! :D

In the 7. step I'm stuck...after login and downloading the launcher closed and in the Terminal comes an error:

[21:56:27 ERROR]: Game ended with bad state (exit code 1)
[21:56:27 INFO]: Ignoring visibility rule and showing launcher due to a game crash
[21:56:27 INFO]: Deleting /home/philipp/.minecraft/versions/1.12/1.12-natives-1550195049028
[21:56:27 ERROR]: Game ended with bad state (exit code 1)
[21:56:27 INFO]: Ignoring visibility rule and showing launcher due to a game crash
[21:56:27 INFO]: Looking for orphaned versions to clean up...
[21:56:27 INFO]: Looking for old natives & assets to clean up...


And nothing is changing. In the thread(1.12) it says:

You will then receive an error
Close launcher

But the launcher closed automatically after the download. What should I do?
Solved! I have been using oracle java 9 instead of 8.
Let's see what will happen in the next steps...

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Fri Jul 14, 2017 8:26 pm
by Flop666
Okay...
I'm now at this point where I have to modify the runOptiFine1_12.sh script.
I'm not understand what I have to change in CP please give me more details.

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Wed Jul 19, 2017 9:31 am
by Cosmos2192
Hello, i have a problem, i followed all the steps, i use a raspberry pi 3, when i launch ./runOptifine.sh crashes and gives me this error:
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 437 100 267 100 170 718 457 --:--:-- --:--:-- --:--:-- 717
todays access token = a34a3086f6f34c68836151681ee99be2
Java HotSpot(TM) Client VM warning: Using incremental CMS is deprecated and will likely be removed in a future release
lug 19, 2017 9:20:37 AM net.minecraft.launchwrapper.LogWrapper log
INFORMAZIONI: Loading tweak class name optifine.OptiFineTweaker
lug 19, 2017 9:20:37 AM net.minecraft.launchwrapper.LogWrapper log
GRAVE: Unable to launch
java.lang.ClassNotFoundException: optifine.OptiFineTweaker
at java.net.URLClassLoader.findClass(URLClassLoader.java:381)
at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:331)
at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:99)
at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
at java.lang.Class.forName0(Native Method)
at java.lang.Class.forName(Class.java:348)
at net.minecraft.launchwrapper.Launch.launch(Launch.java:94)
at net.minecraft.launchwrapper.Launch.main(Launch.java:27)

How do I fix it?

Re: How to setup Minecraft 1.8.9 on RaspPi2

Posted: Wed Jul 19, 2017 11:21 am
by rpiMike
Cosmos2192 wrote:Hello, i have a problem, i followed all the steps, i use a raspberry pi 3, when i launch ./runOptifine.sh crashes and gives me this error:
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 437 100 267 100 170 718 457 --:--:-- --:--:-- --:--:-- 717
todays access token = a34a3086f6f34c68836151681ee99be2
Java HotSpot(TM) Client VM warning: Using incremental CMS is deprecated and will likely be removed in a future release
lug 19, 2017 9:20:37 AM net.minecraft.launchwrapper.LogWrapper log
INFORMAZIONI: Loading tweak class name optifine.OptiFineTweaker
lug 19, 2017 9:20:37 AM net.minecraft.launchwrapper.LogWrapper log
GRAVE: Unable to launch
java.lang.ClassNotFoundException: optifine.OptiFineTweaker
at java.net.URLClassLoader.findClass(URLClassLoader.java:381)
at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:331)
at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:99)
at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
at java.lang.Class.forName0(Native Method)
at java.lang.Class.forName(Class.java:348)
at net.minecraft.launchwrapper.Launch.launch(Launch.java:94)
at net.minecraft.launchwrapper.Launch.main(Launch.java:27)

How do I fix it?
Did you install optifine ?

java.lang.ClassNotFoundException: optifine.OptiFineTweaker